# Leonetienne/Hazelnupp: Hazelnp::HazelnuppConstraintMissingValue Class Reference

Hazelnp::HazelnuppConstraintMissingValue Class Reference

Gets thrown when a parameter constrained to be required is not provided, and has no default value set. More...

`#include <HazelnuppException.h>`

Inheritance diagram for Hazelnp::HazelnuppConstraintMissingValue:
[legend]
Collaboration diagram for Hazelnp::HazelnuppConstraintMissingValue:
[legend]

## Public Member Functions

| HazelnuppConstraintMissingValue ()
| HazelnuppConstraintMissingValue (const std::string &key, const std::string &paramDescription="")
Public Member Functions inherited from Hazelnp::HazelnuppConstraintException
| HazelnuppConstraintException ()
| HazelnuppConstraintException (const std::string &msg)
Public Member Functions inherited from Hazelnp::HazelnuppException
| HazelnuppException ()
| HazelnuppException (const std::string &msg)
const std::string & | What () const
| Will return an error message. More...

## Additional Inherited Members

Protected Attributes inherited from Hazelnp::HazelnuppException
std::string | message

## Detailed Description

Gets thrown when a parameter constrained to be required is not provided, and has no default value set.

Definition at line 80 of file HazelnuppException.h.

## Constructor & Destructor Documentation

## HazelnuppConstraintMissingValue() [1/2]

Hazelnp::HazelnuppConstraintMissingValue::HazelnuppConstraintMissingValue | ( |  | ) |

inline

Definition at line 83 of file HazelnuppException.h.

: HazelnuppConstraintException() {};

## HazelnuppConstraintMissingValue() [2/2]

Hazelnp::HazelnuppConstraintMissingValue::HazelnuppConstraintMissingValue | ( | const std::string & | key,
|  | const std::string & | paramDescription = `""`
| ) |  |

inline

Definition at line 84 of file HazelnuppException.h.

{
// Generate descriptive error message
std::stringstream ss;
ss << "Missing required parameter " << key << ".";
// Add the parameter description, if provided
if (paramDescription.length() > 0)
ss << std::endl << key << " => " << paramDescription;
message = ss.str();
return;
};

The documentation for this class was generated from the following file:

- Hazelnupp/HazelnuppException.h

Hazelnp::HazelnuppConstraintException::HazelnuppConstraintException
HazelnuppConstraintException()
Definition: HazelnuppException.h:50
Hazelnp::HazelnuppException::message
std::string message
Definition: HazelnuppException.h:24